org.apache.jmeter.protocol.http.control

## Class KerberosManager

- java.lang.Object
- - org.apache.jmeter.protocol.http.control.KerberosManager

All Implemented Interfaces:
  Serializable

    public class KerberosManager
    extends Object
    implements Serializable

Takes in charge Kerberos auth mechanism

Since:
  2.10
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`KerberosManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getJaasConf()`
`String` `getKrb5Conf()`
`boolean` `getKrb5Debug()`
`Subject` `getSubjectForUser(String username, String password)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KerberosManager

    public KerberosManager()

### Method Detail

#### getSubjectForUser

    public Subject getSubjectForUser(String username,
                                     String password)

#### getKrb5Conf

    public String getKrb5Conf()

#### getKrb5Debug

    public boolean getKrb5Debug()

#### getJaasConf

    public String getJaasConf()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`